Amazon Linux 2022:(ALAS2022-2022-198)

high Nessus 插件 ID 167021

简介

远程 Amazon Linux 2022 主机缺少安全更新。

描述

因此,如公告 ALAS2022-2022-198 所述,受到多个漏洞的影响。

- libxml2 2.9.13 之前版本的 valid.c 中存在释放后使用 ID 和 IDREF 属性问题。(CVE-2022-23308)

- 在 2.9.14之前的 libxml2 中,buf.c (xmlBuf*) 和 tree.c (xmlBuffer*) 中的多个缓冲区处理函数未检查整数溢出。这可导致越界内存写入。利用漏洞需要受害者打开特制的数 GB XML 文件。其他使用 libxml2 缓冲区函数的软件,例如 libxslt 至 1.1.35,也会受到影响。 (CVE-2022-29824)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

运行“dnf update libxml2 --releasever=2022.0.20221102”以更新系统。

另见

https://alas.aws.amazon.com/cve/html/CVE-2022-23308.html

https://alas.aws.amazon.com/cve/html/CVE-2022-29824.html

https://alas.aws.amazon.com/AL2022/ALAS-2022-198.html

插件详情

严重性: High

ID: 167021

文件名: al2022_ALAS2022-2022-198.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2022/11/5

最近更新时间: 2022/11/7

支持的传感器: Frictionless Assessment AWS, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

风险信息

VPR

风险因素: Medium

分数: 5.1

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.4

矢量: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

时间矢量: CVSS2#E:POC/RL:OF/RC:C

CVSS 分数来源: CVE-2022-29824

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

CVSS 分数来源: CVE-2022-23308

漏洞信息

CPE: p-cpe:2.3:a:amazon:linux:libxml2:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libxml2-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libxml2-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libxml2-static:*:*:*:*:*:*:*, cpe:2.3:o:amazon:linux:2022:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libxml2-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:python3-libxml2:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:python3-libxml2-debuginfo:*:*:*:*:*:*:*

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可利用: true

易利用性: Exploits are available

补丁发布日期: 2022/11/1

漏洞发布日期: 2022/2/26

参考资料信息

CVE: CVE-2022-23308, CVE-2022-29824